SDL_RenderCoordinatesFromWindow(3)

NAME
SDL_RenderCoordinatesFromWindow - Get a point in render coordinates when given a point in window coordinates.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_RenderCoordinatesFromWindow(SDL_Renderer *renderer, float window_x, float window_y, float *x, float *y);

DESCRIPTION
This takes into account several states:

• The window dimensions.

• The logical presentation settings (SDL_SetRenderLogicalPresentation)

• The scale (SDL_SetRenderScale)

• The viewport (SDL_SetRenderViewport)

FUNCTION PARAMETERS

renderer
    the rendering context.

window_x
    the x coordinate in window coordinates.

window_y
    the y coordinate in window coordinates.

x   a pointer filled with the x coordinate in render coordinates.

y   a pointer filled with the y coordinate in render coordinates.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetRenderLogicalPresentation(3), SDL_SetRenderScale(3)